Estimote SDK not working for Android 7.0

PaulDistonPaulDiston USUniversity ✭✭✭✭

I am using the Estimote SDK for Android version 0.11.0.1 in my application however I am seeing some strange behaviour.

On my development device running Android 6.0.1, the Estimote functionality works fine, with the Ranged event firing for each of the instances of iBeacons I am using (5 sets of 2 iBeacons) however on a Test device running Android 7.0, the Ranged event handler only fires for the first 2 iBeacons (1st set of 5). Inbetween each set of iBeacon sets I StartRanging and StopRanging when required.

Have there been any reports of the Estimote SDK for Android library not working on Android 7.0? I notice that the library hasn’t been updated since August 2016, is there a newer, better supported library I could use?

Answers

  • MarkSmith.8123MarkSmith.8123 USXamarin Team, University, XamUProfessors Xamurai

    I've not heard anything, but I wonder if it needs to be rebuilt against a newer version of the SDK and Java lib?

    I think the original source for the component is here: https://github.com/aritchie/estimotes-xplat

    But it appears that it's not supported at this point - might be a good starting point though.

Sign In or Register to comment.